# Class: RPCMethod

## ProtoBuf .Reflect .Service. RPCMethod

#### new RPCMethod(buildernon-null, svcnon-null, name, request, response, request_stream, response_stream, optionsopt)

RPC service method.

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`builder` | ProtoBuf.Builder |  | Builder reference
`svc` | ProtoBuf.Reflect.Service |  | Service
`name` | string |  | Method name
`request` | string |  | Request message name
`response` | string |  | Response message name
`request_stream` | boolean |  | Whether requests are streamed
`response_stream` | boolean |  | Whether responses are streamed
`options` | Object.<string, *> | <optional> | Options

Source:
  - protobuf.js, line 4217

### Extends

- ProtoBuf.Reflect.Service.Method

### Members

#### (non-null) builder :ProtoBuf.Builder

Builder reference.

##### Type:

- ProtoBuf.Builder

Inherited From:
  - ProtoBuf.Reflect.T#builder
Source:
  - protobuf.js, line 1417

#### className :string

Fully qualified class name

##### Type:

- string

Overrides:
  - ProtoBuf.Reflect.Service.Method#className
Source:
  - protobuf.js, line 1438

#### name :string

Object name in namespace.

##### Type:

- string

Inherited From:
  - ProtoBuf.Reflect.T#name
Source:
  - protobuf.js, line 1431

#### options :Object.<string, *>

Options.

##### Type:

- Object.<string, *>

Inherited From:
  - ProtoBuf.Reflect.Service.Method#options
Source:
  - protobuf.js, line 4180

#### (nullable) parent :ProtoBuf.Reflect.T

Parent object.

##### Type:

- ProtoBuf.Reflect.T

Inherited From:
  - ProtoBuf.Reflect.T#parent
Source:
  - protobuf.js, line 1424

#### requestName :string

Request message name.

##### Type:

- string

Source:
  - protobuf.js, line 4230

#### requestStream :bool

Whether requests are streamed

##### Type:

- bool

Source:
  - protobuf.js, line 4244

#### resolvedRequestType :ProtoBuf.Reflect.Message

Resolved request message type.

##### Type:

- ProtoBuf.Reflect.Message

Source:
  - protobuf.js, line 4258

#### resolvedResponseType :ProtoBuf.Reflect.Message

Resolved response message type.

##### Type:

- ProtoBuf.Reflect.Message

Source:
  - protobuf.js, line 4265

#### responseName :string

Response message name.

##### Type:

- string

Source:
  - protobuf.js, line 4237

#### responseStream :bool

Whether responses are streamed

##### Type:

- bool

Source:
  - protobuf.js, line 4251

### Methods

#### build()

Builds this type.

Inherited From:
  - ProtoBuf.Reflect.T#build
Source:
  - protobuf.js, line 1479

##### Throws:

If this type cannot be built directly

Type
  Error

#### buildOpt() → {Object.<string, *>}

Builds the method's '$options' property.

Inherited From:
  - ProtoBuf.Reflect.Service.Method#buildOpt
Source:
  - protobuf.js, line 4189

##### Returns:

Type
  Object.<string, *>

#### fqn() → {string}

Returns the fully qualified name of this object.

Inherited From:
  - ProtoBuf.Reflect.T#fqn
Source:
  - protobuf.js, line 1452

##### Returns:

Fully qualified name as of ".PATH.TO.THIS"

Type
  string

#### toString(includeClassopt)

Returns a string representation of this Reflect object (its fully qualified name).

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`includeClass` | boolean | <optional> | Set to true to include the class name. Defaults to false.

Inherited From:
  - ProtoBuf.Reflect.T#toString
Source:
  - protobuf.js, line 1470

##### Returns:

String representation